Dial x402

Send SMS (Own Line)

Send SMS from your exclusive phone line. $0.05 per message after your included quota is used (10k first month, 5k/mo after). Requires Privy bearer plus x402 payment.

Send SMS from your exclusive phone line. $0.05 per message after your included quota is used (10k first month, 5k/mo after). Requires Privy bearer plus x402 payment.

POST
/api/v1/numbers/mine/send

Authorization

x402 bearer
X-PAYMENT<token>

x402 payment header. When a request is sent without payment, the server returns 402 Payment Required with the price and payTo address. The caller signs an EIP-3009 transferWithAuthorization for USDC on Base and resubmits with the signed payment in this header. See https://docs.x402.org

In: header

AuthorizationBearer <token>

Privy access token (dashboard sessions) or API key (programmatic access — issue #61). Required for endpoints that operate on provisioned resources (e.g. sending SMS from your own number, listing /numbers/mine).

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://x402.dial.wtf/api/v1/numbers/mine/send" \  -H "Content-Type: application/json" \  -d '{    "to": "string",    "message": "string"  }'
{
  "success": true,
  "provider": "string",
  "messageId": "string"
}
{
  "x402Version": 2,
  "accepts": [
    {
      "scheme": "exact",
      "network": "eip155:8453",
      "amount": "100000",
      "payTo": "string"
    }
  ]
}